Bug 895146 - [abrt] libreoffice-core-3.5.7.2-7.fc17: exit: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.5.7.2-7.fc17: exit: Process /usr/lib64/libreoffice/...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:14cbeaa8ddf4ca983015656fe3c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-14 12:18 EST by Scott Williams
Modified: 2013-03-25 10:47 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-25 10:47:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (53.24 KB, text/plain)
2013-01-14 12:18 EST, Scott Williams
no flags Details
File: cgroup (128 bytes, text/plain)
2013-01-14 12:18 EST, Scott Williams
no flags Details
File: core_backtrace (6.71 KB, text/plain)
2013-01-14 12:18 EST, Scott Williams
no flags Details
File: dso_list (13.84 KB, text/plain)
2013-01-14 12:18 EST, Scott Williams
no flags Details
File: environ (2.13 KB, text/plain)
2013-01-14 12:18 EST, Scott Williams
no flags Details
File: limits (1.29 KB, text/plain)
2013-01-14 12:18 EST, Scott Williams
no flags Details
File: maps (127.03 KB, text/plain)
2013-01-14 12:18 EST, Scott Williams
no flags Details
File: open_fds (586 bytes, text/plain)
2013-01-14 12:18 EST, Scott Williams
no flags Details
File: proc_pid_status (959 bytes, text/plain)
2013-01-14 12:18 EST, Scott Williams
no flags Details
File: smolt_data (2.40 KB, text/plain)
2013-01-14 12:18 EST, Scott Williams
no flags Details
File: var_log_messages (2.77 KB, text/plain)
2013-01-14 12:18 EST, Scott Williams
no flags Details

  None (edit)
Description Scott Williams 2013-01-14 12:18:04 EST
Version-Release number of selected component:
libreoffice-core-3.5.7.2-7.fc17

Additional info:
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer --splash-pipe=6
crash_function: exit
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.6.10-2.fc17.x86_64
remote_result:  NOTFOUND
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 exit at exit.c:100
 #2 qt_xio_errhandler at kernel/qapplication_x11.cpp:772
 #3 KApplication::xioErrhandler at /usr/src/debug/kdelibs-4.9.3/kdeui/kernel/kapplication.cpp:419
 #4 _XIOError at XlibInt.c:1618
 #5 _XEventsQueued at xcb_io.c:365
 #6 _XFlush at xcb_io.c:513
 #7 _XGetRequest at XlibInt.c:1973
 #8 XRenderFillRectangle at FillRect.c:78
 #9 FillRectangle at /usr/src/debug/libreoffice-3.5.7.2/vcl/unx/generic/gdi/xrender_peer.hxx:181
 #10 X11SalGraphics::drawFilledTrapezoids at /usr/src/debug/libreoffice-3.5.7.2/vcl/unx/generic/gdi/salgdi.cxx:1148
Comment 1 Scott Williams 2013-01-14 12:18:07 EST
Created attachment 678304 [details]
File: backtrace
Comment 2 Scott Williams 2013-01-14 12:18:08 EST
Created attachment 678305 [details]
File: cgroup
Comment 3 Scott Williams 2013-01-14 12:18:10 EST
Created attachment 678306 [details]
File: core_backtrace
Comment 4 Scott Williams 2013-01-14 12:18:11 EST
Created attachment 678307 [details]
File: dso_list
Comment 5 Scott Williams 2013-01-14 12:18:13 EST
Created attachment 678308 [details]
File: environ
Comment 6 Scott Williams 2013-01-14 12:18:14 EST
Created attachment 678309 [details]
File: limits
Comment 7 Scott Williams 2013-01-14 12:18:15 EST
Created attachment 678310 [details]
File: maps
Comment 8 Scott Williams 2013-01-14 12:18:17 EST
Created attachment 678311 [details]
File: open_fds
Comment 9 Scott Williams 2013-01-14 12:18:18 EST
Created attachment 678312 [details]
File: proc_pid_status
Comment 10 Scott Williams 2013-01-14 12:18:19 EST
Created attachment 678313 [details]
File: smolt_data
Comment 11 Scott Williams 2013-01-14 12:18:21 EST
Created attachment 678314 [details]
File: var_log_messages
Comment 12 Caolan McNamara 2013-01-15 06:53:01 EST
Well, the crash of the app is a crash on exit in the kde backend when then X server has "gone away" dramatically. 

I wonder if your X server crashed ? i.e. that the substantive issue here is the X server crashing rather than how poorly the kde backend cleans up when that happens.

Note You need to log in before you can comment on or make changes to this bug.